# TODO:
# - Rs (X at least...)
Summary:	Drawing electrical circuit schematic diagrams and related figure
Summary(hu.UTF-8):	Elektromos áramkörök rajzolása
Summary(pl.UTF-8):	Rysowanie schematów elektronicznych i zbliżonych diagramów
Name:		xcircuit
Version:	3.8.82
Release:	1
License:	GPL
Group:		Applications/Engineering
Source0:	http://opencircuitdesign.com/xcircuit/archive/%{name}-%{version}.tgz
# Source0-md5:	c19dc0c6daaa07d04578ab45b5b62a4c
Source1:	%{name}.desktop
Source2:	http://opencircuitdesign.com/xcircuit/archive/tutorial.tar.gz
# Source2-md5:	16aaa9c90b0cc83f69c1837365817fe4
Patch1:		%{name}-not-a-string-literal.patch
URL:		http://opencircuitdesign.com/xcircuit/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tk-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _xcircuitdir    %{_libdir}/%{name}-3.8

%description
XCircuit is a UNIX/X11 program for drawing publishable-quality
electrical circuit schematic diagrams and related figures, and
producing circuit netlists through schematic capture. XCircuit regards
circuits as inherently hierarchical, and writes both hierarchical
PostScript output and hierarchical SPICE netlists. Circuit components
are saved in and retrieved from libraries which are fully editable.
XCircuit does not separate artistic expression from circuit drawing;
it maintains flexiblity in style without compromising the power of
schematic capture.

%description -l hu.UTF-8
XCircuit egy UNIX/X11 program nyomdai minőségű elemktromos áramkörök
és hasonlók szedéséhe. Az XCircuit figyel a hierarchiára és a
PostScript kimenetnél és a SPICE listánál is megtartja. Az áramköri
komponensek könyvtárakba menti illetve tölti be, amelyek
szerkesztehtőek.

%description -l pl.UTF-8
XCircuit to program dla systemu UNIX/X11 do rysowania w jakości
nadającej się do publikacji różnych schematów elektronicznych i
zbliżonych diagramów oraz tworzenia list połączeń poprzez odczytanie
schematu. XCurcuit traktuje obwody jako nieodłącznie hierarchiczne i
zapisuje zarówno hierarchiczne wyjście w PostScripcie, jak i
hierarchiczne listy połączeń SPICE. Składniki obwodów są zapisywane i
odczytywane z bibliotek, które są w pełni modyfikowalne. XCircuit nie
oddziela wyrażenia artystycznego od rysowania obwodów; zachowuje
elastyczność w stylu bez kompromisów kosztem możliwości odczytu
schematu.

%package tutorial
Summary:	Tutorial to XCircuit
Summary(hu.UTF-8):	Tutorial az XCircuithoz
Group:		Applications/Engineering
Requires:	xcircuit = %{version}-%{release}

%description tutorial
Tutorial to XCircuit.

%description tutorial -l hu.UTF-8
Tutorial az XCircuithoz.

%prep
%setup -q
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure  \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} install-man \
	DESTDIR=$RPM_BUILD_ROOT

install lib/pixmaps/%{name}.xpm $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

install -d $RPM_BUILD_ROOT%{_docdir}/xcircuit-tutorial
tar xf %{SOURCE2} -C $RPM_BUILD_ROOT%{_docdir}/xcircuit-tutorial

rm -rf $RPM_BUILD_ROOT%{_xcircuitdir}/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README* TODO examples
%attr(755,root,root) %{_bindir}/*
%dir %{_xcircuitdir}
%attr(755,root,root) %{_xcircuitdir}/*.so
%attr(755,root,root) %{_xcircuitdir}/*.tcl
%{_xcircuitdir}/*.cir
%{_xcircuitdir}/*.lps
#%{_xcircuitdir}/*.script
%{_xcircuitdir}/*.pro
%dir %{_xcircuitdir}/app-defaults
%{_xcircuitdir}/app-defaults/XCircuit
%dir %{_xcircuitdir}/fonts
%{_xcircuitdir}/fonts/*.lps
%{_xcircuitdir}/fonts/*.xfe
%dir %{_xcircuitdir}/pixmaps
%{_xcircuitdir}/pixmaps/*.gif
%{_xcircuitdir}/pixmaps/*.ico
%{_xcircuitdir}/pixmaps/*.xbm
%{_xcircuitdir}/xcircexec
%{_pixmapsdir}/*
%{_mandir}/man1/*.1*
%{_desktopdir}/%{name}.desktop

%files tutorial
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-tutorial
%changelog
* Sat Dec 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xcircuit.git;a=log;h=master

* Sun Dec 04 2016 Łukasz Maśko <lmasko@pld-linux.org> fed1c0e
- Up to 3.8.82.

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bc5fa1c
- tcl rebuild
- release 2 (by relup.sh)

* Wed May 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 8e1459f
- up to 3.8.38
- xcircuit-configure.in.patch not needed anymore

* Sun Apr 14 2013 Lukasz Glebicki <blekot@pld-linux.org> 079a6c1
- up to 3.8.37
- patch1 against new autotools
- patch2 against format not a string literal and no format arguments
- fixed removing man from install dir

* Tue Feb 09 2010 amateja <amateja@pld-linux.org> 4505d59
- updated to 3.6.165

* Mon Nov 30 2009 amateja <amateja@pld-linux.org> f76ac17
- updated to 3.6.164

* Fri Oct 23 2009 amateja <amateja@pld-linux.org> 418c04d
- updated to 3.6.163

* Fri Sep 25 2009 amateja <amateja@pld-linux.org> 09db805
- updated to 3.6.162

* Mon May 25 2009 amateja <amateja@pld-linux.org> f2fdf27
- updated 3.6.151
- added BR: xorg-lib-libXt-devel
- minor bugfixes

* Mon May 04 2009 Zsolt Udvari <uzsolt@pld-linux.org> 8ad34c0
- 3.6.148
- hungarizing
- tutorial subpackage

* Tue Feb 10 2009 duddits <duddits@pld-linux.org> 1d8a93d
- up to 3.6.145

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> a68d184
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Nov 20 2007 luzik <luzik@pld-linux.org> 170cfc1
- updated to 3.6.127 - working devel release

* Tue Nov 20 2007 luzik <luzik@pld-linux.org> 6c62117
- updated to 3.4.27

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 42e1f19
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 66f5815
- converted to UTF-8

* Wed May 03 2006 bszx <bszx@pld-linux.org> 35f971e
- updated to 3.4.21

* Wed Dec 14 2005 blekot <blekot@pld-linux.org> a82bbf8
- %{_prefix}/lib --> %{_libdir} in %define

* Wed Dec 14 2005 blekot <blekot@pld-linux.org> 3977615
- amd64 configure fix

* Wed Oct 26 2005 Paweł Gołaszewski <blues@pld-linux.org> 52b8883
- 3.4.6 - new URL, does not build on amd64

